program LVortaro;

{$mode objfpc}{$H+}

{$MACRO ON}
{$IFDEF WINDOWS}
{$define fontheight:=16}
{$ENDIF}
{$IFDEF LINUX}
{$define fontheight:=13}
{$ENDIF}
{$IFDEF DARWIN}
{$define fontheight:=13}
{$ENDIF}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, mainform
  { you can add units after this };

{$R *.res}

var hidden: boolean;

begin
  RequireDerivedFormResource := True;
  Application.Initialize;
  if Application.HasOption('hide') then
  begin
    Application.ShowMainForm := False;
    hidden := True;
  end
  else
    hidden := False;
  Application.CreateForm(TFmainform, Fmainform);
  if hidden = True then
  begin
    Fmainform.TrayMenuShow.Enabled := True;
    Fmainform.TrayMenuHide.Enabled := False;
  end;
  // Korrekturen für verschiedene Plattformen/DPI
  Fmainform.MemoAnleitung.Font.Height := fontheight;
  Fmainform.LabelFrage.Font.Height := fontheight;
  Fmainform.SearchWord.Font.Height := fontheight;
  Fmainform.GroupEspDeu.Font.Height := fontheight;
  Fmainform.MemoDeut.Font.Height := fontheight;
  Fmainform.GridEspa.Font.Height := fontheight;
  Fmainform.GroupDeuEsp.Font.Height := fontheight;
  Fmainform.MemoEspa.Font.Height := fontheight;
  Fmainform.GridDeut.Font.Height := fontheight;
  Fmainform.GridEspa.DefaultRowHeight := 22;
  Fmainform.GridDeut.DefaultRowHeight := 22;
  Application.Run;
end.

